Compute Management/Host Related Interfaces/Host Hardware Device APIs
PUTHost Hardware Device APIsSince 3.6SynchronousAuth Required
Refresh Host Raid Information
Refresh Host Raid Information
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
refreshlocalraidObjectRequiredrefreshlocalraid request body object.
hostUuidStringRequiredHost UUID
systemTagsList系统标签。
userTagsList用户标签。
Responses
Endpoint
PUT/zstack/v1/storage-devices/local-raid/actions
/zstack/v1/storage-devices/local-raid/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/storage-devices/local-raid/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"refreshlocalraid":{"hostUuid":"<hostUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventories": [ { "name": "LSI 2208 Raid Controller", "uuid": "821bab441f4530b5a741bbed9ca76eb8", "description": "this is a description", "productName": "LSI 2208 MegaRAID", "sasAddress": "500304801f948100", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }Change History
This API has no change history records yet.
